@use 'assets/styles/generals';
@use 'assets/styles/override-ngprime';
@import './assets/styles/scjnicons/iconos-vdos-circulo';
@import './assets/styles/scjnicons/iconos-vdos-cuadro';
@import './assets/styles/scjnicons/iconos-vdos-rectangulo';
@import './assets/styles/scjnicons/iconos-vdos';

*{
  box-sizing: border-box;
}

:root {
  --purpel: #24135f;
  --box-black: #0000004d;
  --bord-bt-gray: #d3d3d3;
  --color-white: #ffffff;
  --bg-votacion: #607d8b;
  --danger: #ec3030;
  --succes: #07c407;
  --warn: #f0ca23;
  --blue: rgb(52, 101, 246);
  --color-white: #ffffff;
  --color-save: rgb(36, 189, 36);
  --color-update: rgb(238, 147, 62);
  --grey: #dddce1
}

a {
  text-decoration: none !important;
}

.edit {
  color: var(--bg-votacion);
  cursor: pointer;
}

i.pi-trash {
  color: var(--danger);
}

textarea {
  resize: none !important;
}

p {
  margin-bottom: 0 !important;
}

.background-principal {
  background-color: var(--purpel)
}

.invalid {
  border: 1px solid var(--danger) !important;
}

.view {
  display: block !important;
}

.active {
  background-color: #a99fc9 !important;
}

.dropdown-list {
  overflow: hidden;
}

.navview .navview-menu li.active::before {
  content: "";
  display: block;
  position: absolute;
  height: 24px;
  top: 8px;
  left: 0;
  width: 4px;
  background-color: #a99fc9;
  z-index: 1;
}

.navview .navview-content {
  padding-top: 52px;
  background-color: #ECF0F5;
}

.dashboard-section-title {
  line-height: 1.2;
  margin: 0;
  padding: 0;
}


.navview .navview-pane {
  background-color: #f8f9fa;
  color: black;
  font-size: 14px;
}

.navview .navview-content {
  padding-top: 52px;
  background-color: #ECF0F5;
}

.navview .pull-button {
  height: 52px;
  width: 52px;
}

.navview .navview-menu {
  background-color: #f8f9fa;
}

.navview .navview-menu li a:hover {
  color: #fff;
  background: #1e282c;
}

.navview .navview-menu li.active a {
  color: #fff;
  background: #24135f;
}

.navview .navview-menu .dropdown-toggle::after {
  border-bottom-color: white !important;
}

.navview .navview-menu .item-header {
  color: black;
  background: #f8f9fa;
  font-size: 12px;
}

.navview .suggest-box .holder:hover {
  color: #fff;
  background: #1e282c;
}

.navview .suggest-box .data-box {
  display: flex;
  padding: 0 8px;
}

.navview .suggest-box img.holder {
  width: 32px !important;
  height: auto !important;
}

.navview .navview-menu .navview-menu {
  background-color: #1a2226;
}

.avatar-title {
  line-height: 1.2;
}

.navview .pull-button+h2,
.navview.compacted .pull-button+h2 {
  display: none;
}

.navview.expand .pull-button+h2,
.navview-pane.open .pull-button+h2 {
  display: flex;
}

.point {
  transform: translate(0px, 15px);
  font-size: 8px;
}

.refresh {
  cursor: pointer;
}

.link-menu a:hover span img {
  filter: invert(1);
}

.link-menu.active a span img {
  filter: invert(1);
}

.list {
  width: 100%;
  display: block;
  height: 370px;
  border: 1px solid rgba(0, 0, 0, 0.125);
  overflow-x: hidden;
  overflow-y: auto;
  margin-bottom: 10px;
}

.list-item {
  padding: 7px;
  background: transparent;
}

.list-item:hover {
  background: var(--bg-votacion);
  transition: all .4s ease-in-out;
  cursor: pointer;
  color: var(--color-white);
}

.list-item-rubro {
  padding: 4px;
  line-height: 30px;
  border-radius: 4px;
  background: var(--bord-bt-gray);
  min-height: 40px;
  color: #24135f;
  margin-bottom: 5px;
  position: relative;

  &:hover .list-options {
    right: 0;
    opacity: 1;
    pointer-events: auto;
  }

}

.list-options {
  position: absolute;
  right: -100px;
  top: 3px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  gap: 10px;
  border-radius: 10px 0 0 10px;
  background-color: var(--color-white);
  opacity: 0;
  pointer-events: none;
  z-index: 99;
  transition: all .3s ease-in-out;
}

.item-rubro {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.list-asuntos,.list-table {
  display: flex;
  overflow: auto;
  padding-bottom: 5px;
  padding-right: .5rem;
  padding-left: .5rem;

  & p {
    margin-right: .25rem;
    border: 1px solid var(--purpel);
    padding: .135rem;
    font-size: 12px;
    white-space: nowrap;
  }

  &::-webkit-scrollbar {
    width: 4px;
    height: 4px;
  }

  &::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: var(--bord-bt-gray);
  }

}

.pi-pencil,
.pi-trash {
  cursor: pointer;
}

.item-analisis {
  margin-bottom: 5px;
}

.separator {
  width: 0px;
  height: 100%;
  margin: 0 10px;
  display: inline;
  border: 1px solid var(--purpel);
}

.navegacion {
  padding: 8px;
  border-radius: 4px;
  background: var(--purpel);
  color: var(--color-white) !important;
  outline: none !important;
  text-decoration: none !important;
  cursor: pointer;
  font-size: 12px;
  margin-bottom: 10px;
}


.busqueda {
  background: var(--color-white);
  margin-bottom: 20px;
}

.head-busqueda {
  background: var(--purpel);
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  color: var(--color-white);
  padding: 5px;
}

.head-votacion {
  background: var(--bg-votacion);
  text-align: center;
  color: var(--color-white);
}

.short-text {
  overflow: hidden;
  text-overflow: ellipsis;
  width: 200px;
  max-width: 200px;
  white-space: nowrap;
  padding: 0px 5px;
}

.p-button.btn-danger {
  background: var(--danger) !important;
  border: 1px solid var(--danger) !important;
}

.c-del {
  color: var(--danger);
  cursor: pointer;
}

.badge-votos-total {
  display: flex;
  align-items: center;
  justify-content: flex-end;

  & div {
    border-radius: 4px;
    background: var(--purpel);
    color: var(--color-white);
    font-weight: 400;
    font-size: 12px;
    padding: .5rem;
  }
}

.votacion-req {
  text-align: right;
  color: var(--danger);
  font-weight: 600;
  font-size: 14px;
}

.percent {
  width: 0;
  height: 5px;
  background: transparent;
}

.label-bitacora a span {
  color: var(--color-white) !important;
}

.label-bitacora {
  color: var(--color-white);
  padding: 4px;
  font-size: 12px;
  text-align: center;
  font-weight: 600;

  &.save {
    background: var(--color-save);
  }

  &.update {
    background: var(--color-update);
  }

  &.delete {
    background: var(--red);
  }

}

.font-s {
  font-size: 14px;

  & i {
    font-size: 12px;
  }
}



@keyframes progress-suc {
  0% {
    width: 0;
    background: transparent;
  }

  100% {
    width: 100%;
    background: var(--succes);
  }
}

@keyframes progress-danger {
  0% {
    width: 0;
    background: transparent;
  }

  100% {
    width: 100%;
    background: var(--danger);
  }
}

@keyframes progress-warn {
  0% {
    width: 0;
    background: transparent;
  }

  100% {
    width: 100%;
    background: var(--warn);
  }
}



.percent.incomplet {
  animation: progress-warn .8s forwards;
}

.percent.complet {
  animation: progress-suc .8s forwards;
}

.percent.insuficient {
  animation: progress-danger .8s forwards;
}

.not-avaliable {
  pointer-events: none;
  opacity: .3;
}

// lista asuntos y usuarios
.asignacion__asuntos {
  position: relative;

  & .asignacion__asuntos--create-user {
    position: absolute;
    right: 20px;
    top: 20px;
    z-index: 9;
  }

}



.options-list {
  position: relative;
  z-index: 999;
}


.not-valid {
  color: var(--danger);
  font-size: 12px;
}

.relative {
  position: relative;
}

.clear-autocomplete {
  position: absolute;
  top: 45px;
  right: 10px;
  background: white;
  padding: 4px;
}

.navview .navview-menu li {
  background: white;
}

.back {
  background-color: var(--grey) !important;
  border: none !important;
  color: var(--purpel) !important;
}

@media screen and (min-width: 1200px) {
  .navview .pull-button+h2 {
    display: flex;
  }
}

.p-chips-multiple-container{
  width: 100%;
}